# -*- encoding: utf-8 -*-
# stub: color 2.2.0 ruby lib

Gem::Specification.new do |s|
  s.name = "color".freeze
  s.version = "2.2.0".freeze

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "bug_tracker_uri" => "https://github.com/halostatue/color/issues", "changelog_uri" => "https://github.com/halostatue/color/blob/main/CHANGELOG.md", "documentation_uri" => "https://halostatue.github.io/color/", "rubygems_mfa_required" => "true", "source_code_uri" => "https://github.com/halostatue/color" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Austin Ziegler".freeze, "Matt Lyon".freeze]
  s.date = "1970-01-01"
  s.description = "Color is a Ruby library to provide RGB, CMYK, HSL, and other color space\nmanipulation support to applications that require it. It provides optional named\nRGB colors that are commonly supported in HTML, SVG, and X11 applications.\n\nThe Color library performs purely mathematical manipulation of the colors based\non color theory without reference to device color profiles (such as sRGB or\nAdobe RGB). For most purposes, when working with RGB and HSL color spaces, this\nwon't matter. Absolute color spaces (like CIE LAB and CIE XYZ) cannot be\nreliably converted to relative color spaces (like RGB) without color profiles.\nWhen necessary for conversions, Color provides D65 and D50 reference white\nvalues in Color::XYZ.\n\nColor 2.2 adds a minor feature where an RGB color created from values can\nsilently inherit the `#name` of a predefined color if `color/rgb/colors` has\nalready been loaded. It builds on the Color 2.0 major release, dropping support\nfor all versions of Ruby prior to 3.2 as well as removing or renaming a number\nof features. The main breaking changes are:\n\n- Color classes are immutable Data objects; they are no longer mutable.\n- RGB named colors are no longer loaded on gem startup, but must be required\n  explicitly (this is _not_ done via `autoload` because there are more than 100\n  named colors with spelling variations) with `require \"color/rgb/colors\"`.\n- Color palettes have been removed.\n- `Color::CSS` and `Color::CSS#[]` have been removed.".freeze
  s.email = ["halostatue@gmail.com".freeze, "matt@postsomnia.com".freeze]
  s.extra_rdoc_files = ["CHANGELOG.md".freeze, "CODE_OF_CONDUCT.md".freeze, "CONTRIBUTING.md".freeze, "CONTRIBUTORS.md".freeze, "LICENCE.md".freeze, "Manifest.txt".freeze, "README.md".freeze, "SECURITY.md".freeze, "licences/dco.txt".freeze]
  s.files = ["CHANGELOG.md".freeze, "CODE_OF_CONDUCT.md".freeze, "CONTRIBUTING.md".freeze, "CONTRIBUTORS.md".freeze, "LICENCE.md".freeze, "Manifest.txt".freeze, "README.md".freeze, "SECURITY.md".freeze, "licences/dco.txt".freeze]
  s.homepage = "https://github.com/halostatue/color".freeze
  s.licenses = ["MIT".freeze]
  s.rdoc_options = ["--main".freeze, "README.md".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 3.2".freeze)
  s.rubygems_version = "4.0.10".freeze
  s.summary = "Color is a Ruby library to provide RGB, CMYK, HSL, and other color space manipulation support to applications that require it".freeze

  s.installed_by_version = "4.0.10".freeze

  s.specification_version = 4

  s.add_development_dependency(%q<hoe>.freeze, ["~> 4.0".freeze])
  s.add_development_dependency(%q<hoe-halostatue>.freeze, ["~> 3.0".freeze])
  s.add_development_dependency(%q<json>.freeze, [">= 0.0".freeze])
  s.add_development_dependency(%q<minitest>.freeze, ["~> 6.0".freeze])
  s.add_development_dependency(%q<minitest-autotest>.freeze, ["~> 1.0".freeze])
  s.add_development_dependency(%q<minitest-focus>.freeze, ["~> 1.1".freeze])
  s.add_development_dependency(%q<rake>.freeze, [">= 10.0".freeze, "< 14".freeze])
  s.add_development_dependency(%q<rdoc>.freeze, [">= 6.0".freeze, "< 8".freeze])
  s.add_development_dependency(%q<simplecov>.freeze, ["~> 0.22".freeze])
  s.add_development_dependency(%q<simplecov-lcov>.freeze, ["~> 0.8".freeze])
  s.add_development_dependency(%q<standard>.freeze, ["~> 1.50".freeze])
end
